wallust-run(1)

NAME
wallust-run - Generate a palette from an image

SYNOPSIS
wallust-run [-a|--alpha] [-b|--backend] [-c|--colorspace] [-f|--fallback-generator] [-k|--check-contrast] [-n|--no-cache] [-p|--palette] [--saturation] [-t|--threshold] [--dynamic-threshold] [-w|--overwrite-cache] [--save-scheme] [--print-scheme] [-h|--help] <FILE>

OPTIONS

-a, --alpha <ALPHA>
    Alpha *template variable* value, used only for templating (default is 100)

-b, --backend <BACKEND>
    Choose which backend to use (overwrites config)
    Possible values:

    •   full: Read and return the whole image pixels (more precision, slower)

    •   resized: Resizes the image before parsing, mantaining it's aspect ratio

    •   wal: Uses image magick `convert` to generate the colors, like pywal

    •   thumb: Faster algo hardcoded to 512x512 (no ratio respected)

    •   fastresize: A much faster resize algo that uses SIMD. For some reason it fails on some images where `resized` doesn't, for this reason it doesn't *replace* but rather it's a new option

    •   kmeans: Kmeans is an algo that divides and picks pixels all around the image, giving a more diverse look

-c, --colorspace <COLORSPACE>
    Choose which colorspace to use (overwrites config)
    Possible values:

    •   lab: Uses Cie L*a*b color space

    •   labmixed: Variant of `lab` that mixes the colors gathered, if not enough colors it fallbacks to usual lab (not recommended in small images)

    •   lch: CIE Lch, you can understand this color space like LAB but with chrome and hue added. Could help when sorting

    •   lchmixed: CIE Lch variant that mixed on every similar color

    •   salience: Differentiates colors by visual **salience**. Salience refers to how much something (a color) pops out from a context (the background). Currently based on CIE Lch

    •   lchansi: Variant of Lch which preserves 8 colors: black, red, green, yellow, blue, magenta, cyan and gray. This works best with 'darkansi' palette, allowing a constant color order

-f, --fallback-generator <FALLBACK_GENERATOR>
    Choose which fallback generation method to use (overwrites config)
    Possible values:

    •   interpolate: uses [`interpolate`]

    •   complementary: uses [`complementary`]

-k, --check-contrast
    Ensure a readable contrast by checking colors in reference to the background (overwrites config)

-n, --no-cache
    Don't cache the results

-p, --palette <PALETTE>
    Choose which palette to use (overwrites config)
    Possible values:

    •   dark: 8 dark colors, dark background and light contrast

    •   dark16: Same as `dark` but uses the 16 colors trick

    •   darkcomp: This is a `dark` variant that changes all colors to it's complementary counterpart, giving the feeling of a 'new palette' but that still makes sense with the image provided

    •   darkcomp16: 16 variation of the dark complementary variant

    •   ansidark: This is not a 'dark' variant, is a new palette that is meant to work with `lchansi` colorspace, which will maintain 'tty' like color order and only adjusting the colors acording to the theme. A possible solution for LS_COLORS and the like. Should workout with other colorspace, but the result may not be optimal

    •   ansidark16: The ansidark palette with 16 color variation

    •   harddark: Same as `dark` with hard hue colors

    •   harddark16: Harddark with 16 color variation

    •   harddarkcomp: complementary colors variation of harddark scheme

    •   harddarkcomp16: complementary colors variation of harddark scheme

    •   saliencedark: Dark with ascending salience, sampling the highest (default) gathered salient colors

    •   saliencedark16: SalienceDark but uses the 16 colors trick

    •   saliencedarkbalanced: SalienceDark, but sampling the median gathered salient colors. Use if you find all the colors screaming your attention (all very salient) and you want to tone it down

    •   saliencedarkbalanced16: SalienceDarkBalanced but uses the 16 colors trick

    •   saliencedarkdistributed: SalienceDark, but sampling distributed across gathered salient colors. Use if you find all colors screaming your attention (all very salient) and you want to spread it out

    •   saliencedarkdistributed16: SalienceDarkDistributed but uses the 16 colors trick

    •   saliencedarklow: SalienceDark, but sampling the lowest gathered salient colors. Use if you find all colors screaming your attention (all very salient) and you *really* want to tone it down

    •   saliencedarklow16: SalienceDarkLow but uses the 16 colors trick

    •   light: Light bg, dark fg

    •   light16: Same as `light` but uses the 16 color trick

    •   lightcomp: complementary colors variation of light

    •   lightcomp16: complementary colors variation of light with the 16 color variation

    •   softdark: Variant of softlight, uses the lightest colors and a dark background (could be interpreted as `dark` inversed)

    •   softdark16: softdark with 16 color variation

    •   softdarkcomp: complementary variation for softdark

    •   softdarkcomp16: complementary variation for softdark with the 16 color variation

    •   softlight: Light with soft pastel colors, counterpart of `harddark`

    •   softlight16: softlight with 16 color variation

    •   softlightcomp: softlight with complementary colors

    •   softlightcomp16: softlight with complementary colors with 16 colors

    •   saliencelight: Light with ascending salience, sampling the highest (default) gathered salient colors

    •   saliencelight16: SalienceLight but uses the 16 colors trick

    •   saliencelightbalanced: SalienceLight, but sampling the median gathered salient colors. Use if you find all the colors screaming your attention (all very salient) and you want to tone it down

    •   saliencelightbalanced16: SalienceLightBalanced but uses the 16 colors trick

    •   saliencelightdistributed: SalienceLight, but sampling distributed across gathered salient colors. Use if you find all colors screaming your attention (all very salient) and you want to spread it out

    •   saliencelightdistributed16: SalienceLightDistributed but uses the 16 colors trick

    •   saliencelightlow: SalienceLight, but sampling the lowest gathered salient colors. Use if you find all colors screaming your attention (all very salient) and you *really* want to tone it down

    •   saliencelightlow16: SalienceLightLow but uses the 16 colors trick

--saturation <SATURATION>
    Add saturation from 1% to 100% (overwrites config)

-t, --threshold <THRESHOLD>
    Choose a custom threshold, between 1 and 100 (overwrites config)

--dynamic-threshold
    Dynamically changes the threshold to be best fit

-w, --overwrite-cache
    Generates colors even if there is a cache version of it

--save-scheme
    Save the generated scheme inside the colorscheme dir

--print-scheme
    Output the palette from color 0 to 15 separated by a new line. (Useful for scripting)

-h, --help
    Print help (see a summary with '-h')

<FILE>
    Path to the image to use

SEE ALSO
wallust(5), wallust-run(1), wallust-cs(1), wallust-theme(1), wallust-themes[1]

NOTES

.   Suggestions for new colorschemes returned by the themes subcommand should be filled here.
    https://codeberg.org/explosion-mental/wallust-themes

BUGS
https://codeberg.org/explosion-mental/wallust